Skip to Content

Get Order

GET/v4/orders/:id

Description

Retrieve information about a specific order by its ID. Use this endpoint to check the status of an order and monitor its progress.

Header Parameters

NameDescriptionRequiredExample
App-NameApp-Name for the authorizationyesacme-inc
App-VersionApp-Version for the authorizationno23.5.5
App-PlatformClient platform: desktop, mobile, or browsernobrowser
ForwardedIf you are proxying requests to the API, you must include the "Forwarded" header with the original request IP address. This is used for geolocation availability purposes.no
User-AgentUser-Agent for the authorizationnoAgentName/1.0.0

Path Parameters

NameDescriptionRequired
idOrder ID from POST /v4/ordersyes

Response

Order status
{
  "id": "order_xyz789abc",
  "status": "complete",
  "pair": "eip155:1/slip44:60_eip155:137/erc20:0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
  "fromAsset": "eip155:1/slip44:60",
  "toAsset": "eip155:137/erc20:0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
  "fromAmount": "1",
  "toAmount": "2500",
  "fromAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "toAddress": "0x531a9aA0f2cF0F0B193d6Ca6aA9d990a54A2657a",
  "slippage": 0.5,
  "createdAt": "2024-01-15T10:00:00Z",
  "updatedAt": "2024-01-15T10:05:00Z"
}

Response fields:

  • id - Order identifier
  • status - Order status (see Order statuses below)
  • pair - Pair identifier in CAIP-19 format
  • fromAsset - Source asset identifier in CAIP-19 format
  • toAsset - Destination asset identifier in CAIP-19 format
  • fromAmount - Amount sent in standard units
  • toAmount - Amount received in standard units
  • fromAddress - Source address
  • toAddress - Destination address
  • slippage - Slippage tolerance percentage
  • createdAt - ISO 8601 timestamp when order was created
  • updatedAt - ISO 8601 timestamp when order was last updated

Order statuses:

  • inProgress - The order is still being processed
  • complete - The order was successfully processed
  • failed - The order failed to be processed (only reported while no deposit is confirmed)
  • expired - The order expired (only reported while no deposit is confirmed)
  • refunded - The order was refunded
  • delayed - The order is delayed

Once a deposit transaction has at least one confirmation, the order stays inProgress until it reaches a definitive status, even if the provider reports it as failed or expired first.

Order lifecycle with inProgress and delayed as active statuses, and complete, failed, expired, or refunded as final statuses
Continue polling for inProgress and delayed orders. Stop when the order reaches any final status.
Last updated on